PutResult (Snowpark Java API Reference 1.20.0)

Package com.snowflake.snowpark_java

## Class PutResult

- java.lang.Object
- - com.snowflake.snowpark_java.PutResult

-     public class PutResult
      extends java.lang.Object

  Represents the results of uploading a local file to a stage location.
  Since:
    1.2.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getEncryption()` | Retrieves the encryption status
    `java.lang.String` | `getMessage()` | Retrieves the message
    `java.lang.String` | `getSourceCompression()` | Retrieves the source file compression status
    `java.lang.String` | `getSourceFileName()` | Retrieves the source file name
    `long` | `getSourceSizeBytes()` | Retrieves the source file size in bytes
    `java.lang.String` | `getStatus()` | Retrieves the status
    `java.lang.String` | `getTargetCompression()` | Retrieves the target file compression status
    `java.lang.String` | `getTargetFileName()` | Retrieves the target file name
    `long` | `getTargetSizeBytes()` | Retrieves the target file size in bytes

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSourceFileName

          public java.lang.String getSourceFileName()

      Retrieves the source file name
      Returns:
        A String
      Since:
        1.2.0

    - #### getTargetFileName

          public java.lang.String getTargetFileName()

      Retrieves the target file name
      Returns:
        A String
      Since:
        1.2.0

    - #### getSourceSizeBytes

          public long getSourceSizeBytes()

      Retrieves the source file size in bytes
      Returns:
        A long number
      Since:
        1.2.0

    - #### getTargetSizeBytes

          public long getTargetSizeBytes()

      Retrieves the target file size in bytes
      Returns:
        A long number
      Since:
        1.2.0

    - #### getSourceCompression

          public java.lang.String getSourceCompression()

      Retrieves the source file compression status
      Returns:
        A String
      Since:
        1.2.0

    - #### getTargetCompression

          public java.lang.String getTargetCompression()

      Retrieves the target file compression status
      Returns:
        A String
      Since:
        1.2.0

    - #### getStatus

          public java.lang.String getStatus()

      Retrieves the status
      Returns:
        A String
      Since:
        1.2.0

    - #### getEncryption

          public java.lang.String getEncryption()

      Retrieves the encryption status
      Returns:
        A String
      Since:
        1.2.0

    - #### getMessage

          public java.lang.String getMessage()

      Retrieves the message
      Returns:
        A String
      Since:
        1.2.0